/*
 * This file is part of the Generic Data Structures Library (GDSL).
 * Copyright (C) 1998-2017 Nicolas Darnis <ndarnis@free.fr>.
 *
 * GDSL is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * GDSL is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with GDSL.  If not, see <http://www.gnu.org/licenses/>. 
 *
 * $RCSfile: _integers.h,v $
 * $Revision: 1.11 $
 * $Date: 2015/02/17 12:33:16 $
 */


#ifndef __MY_INTEGERS_H_
#define __MY_INTEGERS_H_


#include "gdsl_types.h"


extern gdsl_element_t 
alloc_integer (void* integer);

extern void 
free_integer (gdsl_element_t e);

extern void
print_integer (gdsl_element_t e, FILE* file, gdsl_location_t location, void* d);

extern long int
compare_integers (gdsl_element_t e1, void* e2);


#endif /* __MY_INTEGERS_H_ */


/** EMACS **
 * Local variables:
 * mode: c
 * c-basic-offset: 4
 * End:
 */
